# Gimp.ConfigPath.unexpand

    @accepts(unicode, bool)
    @returns(unicode)
    def unexpand(path, recode):
        # Python wrapper for gimp_config_path_unexpand()

The inverse operation of Gimp.ConfigPath.expand

This function takes a path and tries to substitute the first elements by well-known special identifiers such as for example ${gimp_dir}. The unexpanded path can then be stored in gimprc and other config files.

If recode is True then path is in local filesystem encoding, if recode is False then path is assumed to be UTF-8.

Since 2.10

path

  a NUL-terminated string

recode

  whether path is in filesystem encoding or UTF-8

Returns